<?php
/**
 * The config file of API module in Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan <yaozeyuan@yidou.biz> 
 * @package     api
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
if(!isset($config->api)) $config->api = new stdClass();

/* moduleName => tableName */
$config->api->objectTables = array();
$config->api->objectTables['config']          = TABLE_CONFIG;
$config->api->objectTables['category']        = TABLE_CATEGORY;
$config->api->objectTables['order']           = TABLE_ORDER;
$config->api->objectTables['sale']            = $config->api->objectTables['order'];
$config->api->objectTables['buy']             = $config->api->objectTables['order'];
$config->api->objectTables['user']            = TABLE_USER;
$config->api->objectTables['member']          = $config->api->objectTables['user'];
$config->api->objectTables['store']           = TABLE_STORE;
$config->api->objectTables['shelf']           = TABLE_SHELF;
$config->api->objectTables['relation']        = TABLE_RELATION;
$config->api->objectTables['product']         = TABLE_PRODUCT;
$config->api->objectTables['contact']         = TABLE_CONTACT;
$config->api->objectTables['company']         = TABLE_COMPANY;
$config->api->objectTables['oauth']           = TABLE_OAUTH;
$config->api->objectTables['orderproduct']    = TABLE_ORDER_PRODUCT;
$config->api->objectTables['batch']           = TABLE_BATCH;
$config->api->objectTables['batchproduct']    = TABLE_BATCH_PRODUCT;
$config->api->objectTables['file']            = TABLE_FILE;
$config->api->objectTables['balance']         = TABLE_BALANCE;
$config->api->objectTables['depositor']       = TABLE_DEPOSITOR;
$config->api->objectTables['trade']           = TABLE_TRADE;
$config->api->objectTables['action']          = TABLE_ACTION;
$config->api->objectTables['history']         = TABLE_HISTORY;
$config->api->objectTables['group']           = TABLE_GROUP;
$config->api->objectTables['usergroup']       = TABLE_USERGROUP;
$config->api->objectTables['grouppriv']       = TABLE_GROUPPRIV;
$config->api->objectTables['initialbalance']  = TABLE_INITIALBALANCE;
$config->api->objectTables['purchaseproduct'] = TABLE_PURCHASE_PRODUCT;

$config->api->batchColumn        = array("id", "type", "trader", "pickedBy", "pickedDate", "expressedBy", "expressedDate", "express", "waybill", "createdBy", "createdDate", "assignedTo", "assignedBy", "assignedDate", "status", "orderNo", "orderFinishedDate", "traderName", "pickedByName", "expressedByName", "expressName", "createdByName", "assignedToName", "assignedByName", "orderID");

$config->api->batchProductColumn = array("id", "trader", "batch", "product", "amount", "orderID", "name", "unit");

$config->api->buyColumn          = array("id", "orderNo", "type", "trader", "money", "taxed", "contract", "settlement", "desc", "createdBy", "createdDate", "editedBy", "editedDate", "assignedTo", "assignedBy", "assignedDate", "finishedDate", "status", "deleted", "traderName", "taxedStatus", "settlementStatus", "createdByName", "editedByName", "assignedByName");

$config->api->configColumn       = array("id", "owner", "module", "section", "key", "value");

$config->api->memberColumn       = array("id", "account", "role", "realname", "admin", "gender", "email", "qq", "mobile", "phone");

$config->api->orderProductColumn = array("id", "trader", "product", "amount", "price", "money", "sentAmount", "name", "unit", "sendAmount", "orderID");

$config->api->saleColumn         = array("id", "orderNo", "type", "trader", "money", "taxed", "contract", "settlement", "desc", "createdBy", "createdDate", "editedBy", "editedDate", "assignedTo", "assignedBy", "assignedDate", "finishedDate", "status", "deleted", "traderName", "taxedStatus", "settlementStatus", "createdByName", "editedByName", "assignedByName");

