<?php 
/**
 * The create view file of balance module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     balance 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php js::set('currencyList', $currencyList);?>
<form action='<?php echo inlink('edit', "balanceID={$balance->id}");?>' method='post' id='balanceForm'>
  <table class='table table-form w-p95'>
   <tr>
      <th class='w-70px'><?php echo $lang->balance->depositor;?></th>
      <td>
        <select name='depositor' id='depositor' class='form-control'>
        <?php foreach($depositorList as $depositor):?>
        <?php $selected = $depositor->id == $balance->depositor ? 'selected' : '';?>
        <option value="<?php echo $depositor->id;?>" <?php echo $selected;?> data-currency="<?php echo $depositor->currency;?>"><?php echo $depositor->abbr;?></option>
        <?php endforeach;?>
        </select>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->balance->date;?></th>
      <td><?php echo html::input('date', $balance->date, "class='form-control form-date'");?></td>
    </tr>
    <tr>
      <th><?php echo $lang->balance->money;?></th>
      <td>
        <div class='input-group'>
          <?php echo html::input('money', $balance->money, "class='form-control'");?>
          <span class='input-group-addon'><span class='currency'></span></span>
        </div>
      </td>
    </tr>
    <tr>
      <th></th>
      <td><?php echo html::submitButton();?></td>
    </tr>
  </table>
</form>
<?php include '../../common/view/footer.modal.html.php';?>
