<?php
/**
 * The show batch products view of batch module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     batch 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<table class='table table-condensed table-striped table-hover'>
  <tr class='text-center'>
    <th><?php echo $lang->batch->trader->common;?></th>
    <th><?php echo $lang->batch->type;?></th>
    <th><?php echo $lang->batch->expressedBy;?></th>
    <th><?php echo $lang->batch->expressedDate;?></th>
    <th><?php echo $lang->batch->amount;?></th>
    <th></th>
  </tr>
  <?php foreach($batchProducts as $batchProduct):?>
  <tr class='text-center'>
    <td><?php echo zget($companies, $batchProduct->trader, ' ');?></td>
    <td><?php echo $lang->batch->{$batchProduct->type == 'out' ? 'deliver' : 'receive'}->common;?></td>
    <td><?php echo zget($users, $batchProduct->expressedBy, ' ');?></td>
    <td><?php echo $batchProduct->expressedDate;?></td>
    <td><?php echo $batchProduct->amount;?></td>
    <td><?php if(!commonModel::printLink('batch', 'create', "orderID={$batchProduct->order}&status=all", $lang->detail)) echo html::a('#', $lang->detail, "disabled='disabled'");?></td>  
  </tr>
  <?php endforeach;?>
  <tfoot>
    <tr>
      <td colspan='6'><?php $pager->show();?></td>
    </tr>
  </tfoot>
</table>  
