<?php
/**
 * The action view file of common module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     common 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<script src='<?php echo $config->webRoot;?>js/jquery/reverseorder/raw.js' type='text/javascript'></script>

<div class='panel panel-history'>
  <div class='panel-heading'>
    <strong><?php echo $lang->history?></strong>
    <div class='panel-actions'>
      <span class='btn btn-mini sorter hand'> <?php echo "<span title='$lang->reverse' class='log-asc'></span>";?></span>
      <span class='btn btn-mini hand toggle-all'><?php echo "<span title='$lang->switchDisplay' class='change-show'></span>";?></span>
    </div>
  </div>
  <div class='panel-body'>
    <ol>
      <?php $i = count($actions); ?>
      <?php foreach($actions as $action):?>
      <li value='<?php echo $i --;?>'>
      <?php
      if(isset($users[$action->actor])) $action->actor = $users[$action->actor];
      if($action->action == 'assigned' and isset($users[$action->extra])) $action->extra = $users[$action->extra];
      if(strpos($action->actor, ':') !== false) $action->actor = substr($action->actor, strpos($action->actor, ':') + 1);
      ?>
      <span>
        <?php $this->action->printAction($action);?>
        <?php if(!empty($action->history)) echo "<span class='toggle'><span id='switchButton$i' class='hand change-show btn btn-mini'></span></span>";?>
      </span>
      <?php if(!empty($action->history)):?>
      <div class='changes history' style='display:none;'>
        <?php echo $this->action->printChanges($action->objectType, $action->history, $action->action);?>
      </div>
      <?php endif;?>
      <?php 
      if($action->comment) 
      {
          echo "<div class='comment$action->id'>";
          echo strip_tags($action->comment) == $action->comment ? nl2br($action->comment) : $action->comment; 
          echo "</div>";
      }
      ?>
      </li>
      <?php endforeach;?>
    </ol>
  </div>
</div>
<script language='JavaScript'>
$(document).ready(function()
{
     /* Toggle one comment. */
     $('.toggle').click(function()
     {
          $(this).children().toggleClass('change-show').toggleClass('change-hide');
          if($(this).next().find('.changes').size())
          {
              $(this).next().find('.changes').toggle();
          }
          else
          {
              $(this).parent().next().toggle().find('.changes').show();
          }
     });

     /* Toggle all comment. */
     $('.toggle-all').click(function()
     {
         $showTag = $('.panel-history > .panel-heading').find('.toggle-all').find('.change-show');

         $(this).children().toggleClass('change-show').toggleClass('change-hide');

         if($showTag.length)
         {
             $('.panel-history > .panel-body').find('.change-show').click();
         }
         else
         {
             $('.panel-history > .panel-body').find('.change-hide').click();
         }
     });

     /* Sort records. */
     $('.sorter').click(function()
     {
          var orderClass = $(this).find('span').attr('class');

          if(orderClass == 'log-asc')
          {
              $(this).find('span').attr('class', 'log-desc');
          }
          else
          {
              $(this).find('span').attr('class', 'log-asc');
          }

          $(this).parents('.panel').find('.panel-body li').reverseOrder();
     });
});
</script>
