<?php
/**
 * The config file of company module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      chujilu <chujilu@cnezsoft.com>
 * @package     company
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
$config->company->newItemsCount          = 5;
$config->company->fields                 = array('type', 'fullName', 'companyName', 'companyPhone', 'companyFax', 'businessAddress', 'registeredAddress', 'juristicPerson', 'taxNumber', 'bank', 'account', 'companyWeixin', 'companyWeibo', 'companySite', 'desc', 'contact', 'title', 'maker', 'gender', 'address', 'phone', 'email', 'fax', 'qq', 'weibo', 'weixin', 'wangwang');
$config->company->contactFields          = array('contact', 'maker', 'title', 'gender', 'address', 'phone', 'email', 'fax', 'qq', 'weibo', 'weixin', 'wangwang');
$config->company->removeFieldsFromImport = array('name', 'maker', 'title', 'gender', 'address', 'phone', 'email', 'fax', 'qq', 'weibo', 'weixin', 'wangwang');
$config->company->excelDisplayStyle      = array('errorInfo' => 30, 'type' => 10, 'fullName' => 30, 'companyName' => 20, 'companyPhone' => 20, 'companyFax' => 20, 'businessAddress' => 60, 'registeredAddress' => 60, 'juristicPerson' => 10, 'taxNumber' => 20, 'bank' => 40, 'account' => 20, 'companyWeixin' => 20, 'companyWeibo' => 30, 'companySite' => 30, 'desc' => 30, 'contact' => 10, 'maker' => 15, 'title' => 15, 'gender' => 10, 'address' => 40, 'phone' => 20, 'email' => 20, 'fax' => 20, 'qq' => 15, 'weibo' => 30, 'weixin' => 20, 'wangwang' => 20);

$config->company->require = new stdclass();
$config->company->require->create      = 'companyName,fullName';
$config->company->require->edit        = 'companyName,fullName';
$config->company->require->batchCreate = 'companyName,fullName';
$config->company->require->batchEdit   = 'companyName,fullName';
$config->company->require->editSelf    = 'companyName,fullName';
$config->company->require->linkContact = 'name';
$config->company->require->editContact = 'name';

$config->company->editor = new stdclass();
$config->company->editor->editself = array('id' => 'desc', 'tools' => 'simple');
