<?php
/**
 * The batch create view file of company module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     company
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class='icon-edit'></i> <?php echo $lang->batchEdit;?></strong>
  </div>
  <form method='post' id='ajaxForm'>
    <table class='table table-condensed table-borderless'>
      <tr class='text-center'>
        <th class='w-110px'><?php echo $lang->company->type;?></th>
        <th class='w-110px required'><?php echo $lang->company->companyName;?></th>
        <th class='w-240px required'><?php echo $lang->company->fullName;?></th>
        <th class='w-120px'><?php echo $lang->company->companyPhone;?></th>
        <th class='w-120px'><?php echo $lang->company->companyFax;?></th>
        <th class='w-240px'><?php echo $lang->company->businessAddress;?></th>
      </tr>
      <?php foreach($companyList as $id => $company):?>
      <tr>
        <td>
          <?php echo html::hidden("id[$id]", $company->id);?>
          <?php echo html::select("type[$id]", $lang->company->typeList, $type, "id='type{$id}' class='form-control'");?>
        </td>
        <td><?php echo html::input("companyName[$id]", $company->companyName, "id='companyName{$id}' class='form-control'");?></td>
        <td><?php echo html::input("fullName[$id]", $company->fullName, "id='fullName{$id}' class='form-control'");?></td>
        <td><?php echo html::input("companyPhone[$id]", $company->companyPhone, "id='companyPhone{$id}' class='form-control'");?></td>
        <td><?php echo html::input("companyFax[$id]", $company->companyFax, "id='companyFax{$id}' class='form-control'");?></td>
        <td><?php echo html::input("businessAddress[$id]", $company->businessAddress, "id='businessAddress{$id}' class='form-control'");?></td>
      </tr>
      <?php endforeach;?>
      <tr>
        <th colspan='9' class='text-center'>
          <?php echo html::submitButton() . html::backButton();?>
        </th>
      </tr>
    </table>
  </form>
</div>
<?php js::set('type', $type);?>
<?php include '../../common/view/footer.html.php';?>
