$(document).ready(function()
{
    if(v.showInitialize && !v.initialized)
    {
        (new ModalTrigger({url: createLink('setting', 'showInitialize')})).show();
    }

    $('.postHiddenForm').click(function()
    {
        var companyId = $(this).parents('tr').find('#companyId').val();
        var type      = $(this).parents('tr').find('#type').val();
        var link      = createLink('finance', 'detail', 'type=' + type + '&companyId=' + companyId);
        $('#hiddenForm').attr('action', link).submit();
    });

    $('#upgradeNotice').hide();
    if($('#upgradeNotice').size())
    {
        if(typeof(latest) != 'undefined' && latest.isNew)
        {
            $('#version').html(latest.version);
            $('#releaseDate').html(latest.releaseDate);
            $('#upgradeLink').attr('href', latest.url);
            $('#upgradeNotice').show();
            return true;
        }
        $('#upgradeNotice').remove();
    }
});
