<?php 
/**
 * The create view file of invoice module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan <yaozeyuan@yidou.biz>
 * @package     invoice
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::import($jsRoot . 'jquery/printarea/printarea.js')?>
<?php js::set('type', $type);?>
<div class='panel'>
  <div id='printarea'>
    <style>
      #printarea {
        margin:0 auto;
      }
      .table td{
          border : none;
          font-family:宋体;
          font-size : 14px;
      }

      .table .invoice-list-title{
          font-size:24px;
          font-weight:bold;
      }
      
      .table tbody>tr:first-child td {
          border : solid;
          border-width : 1px;
          border-color : black;
      }
      
      .table tbody>tr td {
          border-left  : solid;
          border-right : solid;
          border-width : 1px;
          border-color : black;
          font-size    : 12px;
      }
      
      .table .tr-desc td {
          border : solid;
          border-width : 1px;
          font-size : 14px;
      }
    </style>
    <table class='table table-condensed table-print w-p100'>
      <thead>
        <tr>
          <td colspan='9' class='text-center invoice-list-title'><?php echo $lang->invoice->create->title;?></td>
        </tr>
        <tr><td colspan='9'>&nbsp;</td></tr>
        <tr>
          <td colspan='2'><?php echo $lang->invoice->create->buyerName . ':';?></td>
          <td colspan='5'><?php echo $invoice->buyerName;?></td>
        </tr>
        <tr>
          <td colspan='2'><?php echo $lang->invoice->create->salerName . ':';?></td>
          <td colspan='5'><?php echo $invoice->salerName;?></td>
        </tr>
        <tr>
          <td colspan='2'><?php echo $lang->invoice->create->taxCode;?></td>
          <td colspan='1'><?php echo $invoice->taxCode;?></td>
          <td colspan='1'><?php echo $lang->invoice->create->No?></td>
          <td colspan='1'><?php echo $invoice->invoiceNo?></td>
        </tr>
      </thead>
      <tbody>
        <tr class='text-center'>
          <td class='w-40px' ><?php echo $lang->invoice->create->SN;?></td>
          <td class='w-150px'><?php echo $lang->invoice->create->productName;?></td>
          <td class='w-60px'><?php echo $lang->invoice->create->pack;?></td>
          <td class='w-40px'><?php echo $lang->invoice->create->unit;?></td>
          <td class='w-70px'><?php echo $lang->invoice->create->amount;?></td>
          <td class='w-70px'><?php echo $lang->invoice->create->price;?></td>
          <td class='w-80px'><?php echo $lang->invoice->create->money;?></td>
          <td class='w-40px'><?php echo $lang->invoice->create->taxRate;?></td>
          <td class='w-80px'><?php echo $lang->invoice->tax;?></td>
        </tr>
        <?php $index      = 1;?>
        <?php $moneyCount = 0;?>
        <?php $taxCount   = 0;?>
        <?php foreach($invoice->productList as $invoicedProduct):?>
        <?php $product = $productList[$invoicedProduct->product];?>
        <tr>
        <td class='text-center'><?php echo $index;?></td>    
        <td><?php echo $product->name;?></td>    
        <td><?php echo $product->pack;?></td>    
        <td><?php echo $product->unit;?></td>    
        <td class='text-right'><?php echo $invoicedProduct->invoiced;?></td>    
        <td class='text-right'><?php echo $invoicedProduct->untaxedPrice;?></td>    
        <td class='text-right'><?php echo $invoicedProduct->untaxedMoney;?></td>    
        <td class='text-right'><?php echo $invoice->taxRate;?></td>    
        <td class='text-right'><?php echo $invoicedProduct->tax;?></td>    
        </tr>
        <?php 
            $moneyCount += $invoicedProduct->untaxedMoney;
            $taxCount   += $invoicedProduct->tax;
            $index++;
        ?>
        <?php endforeach;?>
        <?php for($i = 0; $i < ($this->config->invoice->maxLines - count($invoice->productList)); $i++):?>
          <tr>
            <td>&nbsp;</td>    
            <td></td>    
            <td></td>    
            <td></td>    
            <td></td>    
            <td></td>    
            <td></td>    
            <td></td>    
            <td></td>    
          </tr>
        <?php endfor;?>
        <tr>
          <td class='text-center'><?php echo $lang->invoice->create->subtotal;?></td>    
          <td></td>    
          <td></td>    
          <td></td>    
          <td></td>    
          <td></td>    
          <td class='text-right'><?php echo $moneyCount;?></td>    
          <td></td>    
          <td class='text-right'><?php echo $taxCount;?></td>    
        </tr>
        <tr>
          <td class='text-center'><?php echo $lang->invoice->create->total;?></td>    
          <td></td>    
          <td></td>    
          <td></td>    
          <td></td>    
          <td></td>    
          <td class='text-right'><?php echo $moneyCount;?></td>    
          <td></td>    
          <td class='text-right'><?php echo $taxCount;?></td>    
        </tr>
        <tr class='tr-desc'>
          <td><?php echo $lang->desc;?></td>    
          <td colspan='8'></td>    
        </tr>
      </tbody>
      <tfoot>
        <tr><td colspan='9'>&nbsp;</td></tr>
        <tr>
        <td colspan='5'><?php echo $lang->invoice->create->stamper;?></td>
        <td></td>
        <td><?php echo $lang->invoice->create->date;?></td>
        <td colspan='2'><?php echo $invoice->createdDate;?></td>
        </tr>
        <tr><td colspan='9'>&nbsp;</td></tr>
      </tfoot>
    </table>
  </div>
</div>
<div class='text-center'>
  <?php echo html::commonButton($lang->print, 'printBtn btn btn-primary');?>
</div>
<?php include '../../common/view/footer.html.php';?>
