<?php
/**
 * The detect view file of mail module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     mail
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='col-md-2'>
  <ul class='nav nav-primary nav-stacked'>
    <li class='active'><?php echo html::a(inlink('edit'), $lang->mail->edit);?></li>
    <li><?php echo html::a(inlink('test'), $lang->mail->test);?></li>
  </ul>
</div>
<div class='col-md-10'>
  <div class='panel'>
    <div class='panel-heading'><strong><i class='icon-envelope'></i> <?php echo $lang->mail->common;?> <i class='icon-arrow-right'></i> <?php echo $lang->mail->detect; ?></strong></div>
    <div class='panel-body'>
      <form method='post' id='ajaxForm'>
        <div class='form-group'><label for='fromAddress' class='col-sm-12'><?php echo $lang->mail->inputFromEmail; ?></label></div>
        <div class='form-group'>
          <div class='col-xs-10 col-sm-6 col-md-3'><?php echo html::input('fromAddress', $fromAddress, "class='form-control'"); ?></div>
          <div class='col-xs-2 col-sm-6 col-md-3'><?php echo html::submitButton($lang->mail->nextStep); ?></div>
        </div>
      </form>
    </div>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
