<?php
/**
 * The zh-cn lang file of order module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     order
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
$lang->order->common       = '订单';
$lang->order->orderNo      = '订单号';
$lang->order->refundNo     = '退货单号';
$lang->order->money        = '金额';
$lang->order->taxed        = '是否含税';
$lang->order->finishedDate = '交付日期';
$lang->order->desc         = '备注';
$lang->order->createdBy    = '下单人员';
$lang->order->createdDate  = '下单日期';
$lang->order->status       = '订单状态';
$lang->order->refundStatus = '退货单状态';
$lang->order->type         = '订单类型';
$lang->order->contract     = '合同号';
$lang->order->settlement   = '结款方式';
$lang->order->assignedTo   = '指派给';
$lang->order->assignedBy   = '由谁指派';
$lang->order->assignedDate = '指派日期';

$lang->order->typeList               = array();
$lang->order->typeList['sale']       = '销售';
$lang->order->typeList['buy']        = '采购';
$lang->order->typeList['saleRefund'] = '销售退货';
$lang->order->typeList['buyRefund']  = '采购退货';

$lang->order->orderAmount    = '订单数量';
$lang->order->storeAmount    = '库存数量';
$lang->order->purchaseAmount = '采购数量';
$lang->order->showProducts   = '显示产品详情';
$lang->order->createBuyOrder = '创建采购订单';
$lang->order->createProduct  = '新增库存产品';

$lang->order->all          = '所有订单';
$lang->order->assignedToMe = '指派给我';
$lang->order->canceled     = '已取消';
$lang->order->finished     = '已完成';
$lang->order->titleLBL     = '%s : %s';

$lang->order->batchNumber  = '批次编号：<strong> %s </strong>';

$lang->order->exportOrder            = array();
$lang->order->exportOrder['buy']     = '采购单列表';
$lang->order->exportOrder['sale']    = '销售单列表';
$lang->order->exportOrder['default'] = '订单列表';

$lang->order->trader['sale'] = '客户';
$lang->order->trader['buy']  = '供应商';
$lang->order->trader['saleRefund'] = $lang->order->trader['sale'];
$lang->order->trader['buyRefund']  = $lang->order->trader['buy'];

$lang->order->batch['sale'] = '发货';
$lang->order->batch['buy']  = '收货';
$lang->order->batch['saleRefund'] = $lang->order->batch['buy'];
$lang->order->batch['buyRefund']  = $lang->order->batch['sale'];

$lang->order->product        = '产品';
$lang->order->total          = '合计';
$lang->order->canceledReason = '取消原因';
$lang->order->pick           = '通知配货';
$lang->order->moneyInWords   = '大写金额';

$lang->order->mail                    = new stdclass();
$lang->order->mail->send              = '发送';
$lang->order->mail->sendMail          = '发送邮件';
$lang->order->mail->orderType['buy']  = '采购单详情.xls';
$lang->order->mail->orderType['sale'] = '销售单详情.xls';
$lang->order->mail->mailTitle['buy']  = "%s 采购单";
$lang->order->mail->mailTitle['sale'] = "%s 销售单";
$lang->order->mail->mailContent       = "<p>本邮件由<a href='http://www.yidou.com.cn'>亿斗在线进销存系统</a>自动生成</p>";
$lang->order->mail->mailNotSet        = '邮箱未设置，请先设置发信邮箱';
$lang->order->mail->choseUser         = '请选择收件人';

/* Function of order */
$lang->order->browse       = '订单列表';
$lang->order->create       = '创建订单';
$lang->order->createRefund = '创建退货单';
$lang->order->edit         = '编辑订单';
$lang->order->editRefund   = '编辑退货单';
$lang->order->cancel       = '取消订单';
$lang->order->activate     = '激活订单';
$lang->order->finish       = '完成订单';
$lang->order->detail       = '订单详情';
$lang->order->buy          = '通知采购';
$lang->order->sale         = '销售';
$lang->order->history      = '历史订单';

$lang->order->statusList['']              = '';
$lang->order->statusList['all']           = '所有订单';
$lang->order->statusList['assignedToMe']  = '指派给我';
$lang->order->statusList['underway']      = '进行中';
$lang->order->statusList['pending']       = '待处理';
$lang->order->statusList['toReceive']     = '待收货';
$lang->order->statusList['received']      = '已收货';
$lang->order->statusList['partReceived']  = '部分收货';
$lang->order->statusList['toPurchase']    = '待采购';
$lang->order->statusList['purchasing']    = '采购中';
$lang->order->statusList['purchased']     = '已采购';
$lang->order->statusList['picking']       = '待配货';
$lang->order->statusList['toDeliver']     = '待发货';
$lang->order->statusList['delivered']     = '已发货';
$lang->order->statusList['partDelivered'] = '部分发货';
$lang->order->statusList['canceled']      = '已取消';
$lang->order->statusList['finished']      = '已完成';

$lang->order->settlementList[0] = '';
$lang->order->settlementList[1] = '现金';
$lang->order->settlementList[2] = '银行电汇';
$lang->order->settlementList[3] = '转账支票';
$lang->order->settlementList[4] = '承兑汇票';
$lang->order->settlementList[5] = '委托代收货款';

$lang->order->taxedList[0]   = '不含税';
$lang->order->taxedList[1]   = '含税';
$lang->order->taxedList[2]   = '';
$lang->order->taxedUndefined = '订单含税情况尚不明确，请确认订单是否含税后继续。';

$lang->order->print = new stdclass();
$lang->order->print->page         = '第%s页';
$lang->order->print->pageTitle    = '第%s页/共%s页';
$lang->order->print->buy          = '采购订单';
$lang->order->print->sale         = '销售订单';
$lang->order->print->buyRefund    = '采购退货单';
$lang->order->print->saleRefund   = '销售退货单';
$lang->order->print->pick         = '配货单';
$lang->order->print->deliver      = '发货单';
$lang->order->print->contract     = '订单(合同)号 ';
$lang->order->print->product      = '品名及标准';
$lang->order->print->material     = '材质';
$lang->order->print->tabulation   = '制单：';
$lang->order->print->check        = '审核：';
$lang->order->print->delivery     = '配送：';
$lang->order->print->finishedDate = '<strong>注意事项</strong>：以上产品交货日期为%s';
$lang->order->print->showFullName = '显示客户全称';
$lang->order->print->hidePrice    = '隐藏单价和金额';
$lang->order->print->tel          = 'TEL：';
$lang->order->print->fax          = 'FAX：';
$lang->order->print->to           = 'T  O：';
$lang->order->print->attn         = 'ATTN：';
$lang->order->print->from         = 'FROM：';
$lang->order->print->settlement   = '二、结款方式：';
$lang->order->print->desc         = '三、备注：';

$lang->order->print->sign['sale'] = '客户签收：';
$lang->order->print->sign['buy']  = '供方签收：';
$lang->order->print->sign['saleRefund'] = $lang->order->print->sign['sale'];
$lang->order->print->sign['buyRefund']  = $lang->order->print->sign['buy'];

$lang->order->print->taxedList[0] = '一、报价不含税';
$lang->order->print->taxedList[1] = '一、报价含税（17%增值税）';

$lang->order->print->trader['sale'] = '购货单位 ';
$lang->order->print->trader['buy']  = '送货单位 ';
$lang->order->print->trader['saleRefund'] = $lang->order->print->trader['sale'];
$lang->order->print->trader['buyRefund']  = $lang->order->print->trader['buy'];

$lang->order->error = new stdclass();
$lang->order->error->noRecord    = '请录入有效的产品信息。';
$lang->order->error->notSelected = '请选择要采购的产品。';
$lang->order->error->notFinished = '产品未完成%s，订单不能完成。';
$lang->order->error->hasSent     = '产品已%s，不允许删除。';
$lang->order->error->errorAmount = '产品已%s%s，订单数量不能小于已发货数量。';
$lang->order->error->cantChange  = '产品已%s，不允许更改品名。';

$lang->order->action = new stdclass();
$lang->order->action->sendmail         = '$date, 由 <strong>$actor</strong> 寄送通知邮件'; 
$lang->order->action->assignedtopick   = '$date, 由 <strong>$actor</strong> 指派给 <strong>$extra</strong> 进行配货'; 
$lang->order->action->assigntopurchase = '$date, 由 <strong>$actor</strong> 通知 <strong>$extra</strong> 对订单内产品进行采购'; 

/* action in batch */
/* active */
$lang->order->action->editpick    = '$date, 由 <strong>$actor</strong> 对配货信息进行了编辑';
$lang->order->action->editdeliver = '$date, 由 <strong>$actor</strong> 对发货信息进行了编辑';
$lang->order->action->editreceive = '$date, 由 <strong>$actor</strong> 对收货信息进行了编辑'; 
$lang->order->action->deliver     = '$date, 由 <strong>$actor</strong> 对发货信息进行了编辑';

/* item */
$lang->order->pickedBy      = '配货人';
$lang->order->expressedBy   = '发货人';
$lang->order->receivedBy    = '收货人';
$lang->order->express       = '快递';
$lang->order->waybill       = '运单号';
$lang->order->expressedDate = '发货日期';
$lang->order->pickedDate    = '配货日期';
$lang->order->receivedDate  = '收货日期';

$lang->orderProduct = new stdclass();
$lang->orderProduct->product    = '品名';
$lang->orderProduct->amount     = '数量';
$lang->orderProduct->standard   = '标准';
$lang->orderProduct->model      = '规格';
$lang->orderProduct->material   = '材质/等级/表面处理';
$lang->orderProduct->unit       = '单位';
$lang->orderProduct->price      = '单价';
$lang->orderProduct->totalPrice = '总价';

/* Add for display the action log of order product. */
$this->loadLang('product');
$lang->orderproduct                  = clone $lang->product;
$lang->orderproduct->money           = '总价';
$lang->orderproduct->amountInBatch   = '产品数量';
$lang->orderproduct->action          = new stdclass();
$lang->orderproduct->action->created = '$date, 由 <strong>$actor</strong> 添加了产品：<strong><i>$extra</i></strong>。';
$lang->orderproduct->action->edited  = '$date, 由 <strong>$actor</strong> 对订单内的产品<strong><i>$extra</i></strong>进行了编辑：';
$lang->orderproduct->action->deleted = '$date, 由 <strong>$actor</strong> 删除了产品：<strong><i>$extra</i></strong>。';

$lang->orderproduct->action->editproductinpick   = '$date, 由 <strong>$actor</strong> 对产品<strong><i>$extra</i></strong>的配货数量进行了修改';
$lang->orderproduct->action->editproductinrecive = '$date, 由 <strong>$actor</strong> 对产品<strong><i>$extra</i></strong>的收货数量进行了修改';
