<?php
/**
 * The send mail view of order module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     order 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<form method='post' id='ajaxForm' action="<?php echo inlink('sendMail', "orderID={$order->id}")?>">
  <table class='table table-bordered'>
    <tr>
      <th class='w-100px'><?php echo $lang->contact->name;?></th>
      <th class='w-80px'><?php echo $lang->contact->title;?></th>
      <th><?php echo $lang->contact->email;?></th>
      <th><?php echo $lang->actions;?></th>
    </tr>
    <?php foreach($contactList as $contact):?>
    <tr>
      <td>
        <?php echo html::checkbox('addressee', array($contact->id => $contact->name)); echo $contact->maker ? " <span class='label label-success'>{$lang->contact->default}</span>" : '';?>
      </td>
      <td><?php echo $contact->title;?></td>
      <td><?php echo $contact->email;?></td>
      <td>
        <?php 
          if(!commonModel::printLink($company->type, 'editContact', "contactID={$contact->id}", $lang->edit, "class='loadInModal'")) echo html::a('#', $lang->edit, "class='disabled' disabled='disabled'");
          if(!commonModel::printLink($company->type, 'deleteContact', "contactID={$contact->id}", $lang->delete, "id='contact{$contact->id}' class='deleter'")) echo html::a('#', $lang->delete, "class='disabled' disabled='disabled'");
        ?>
      </td>
    </tr>
    <?php endforeach;?>
    </tfoot>
  </table>
  <br />
  <div class='text-right'>
    <?php commonModel::printLink($company->type, 'linkContact', "companyID={$company->id}", $lang->contact->create, "class='loadInModal btn btn-primary'");?>
    <?php echo html::submitButton($lang->order->mail->send);?>
  </div>
<?php echo html::hidden('placeholder', 'placeholder');?>
</form>
<?php include '../../common/view/footer.modal.html.php';?>
