$(document).ready(function()
{
    $('#batchProductsBox').load(createLink('batch', 'showBatchProducts', 'productID=' + v.productID));

    $(document).on('click', '.page a', function()
    {
        $(this).parents('.pagerTarget').load($(this).attr('href'));
        return false;
    });

    function loadPager(e,mode)
    {
        var target = e.parents('.pagerTarget').attr('id');
        var module = '';
        var method = '';
        var vars   = '&orderBy=id_desc&recTotal=_recTotal_&recPerPage=_recPerPage_&pageID=_pageID_';
        if(target == 'batchProductsBox')
        {
            vars       = 'productID=' + v.productID + vars; 
            pageCookie = 'pagerBatchShowbatchproducts';
            module     = 'batch';
            method     = 'showBatchProducts';
        }
        else if(target == 'orderProductsBox')
        {
            vars       = 'productID=' + v.productID + '&type=' + v.type + vars;
            pageCookie = 'pagerOrderShoworderproducts';
            module     = 'order';
            method     = 'showOrderProducts';
        }
        pageTotal  = parseInt(e.parents('.page').find('#_pageTotal').val());
        pageID     = e.parents('.page').find('#_pageID').val();
        recPerPage = e.parents('.page').find('#_recPerPage').val();
        recTotal   = e.parents('.page').find('#_recTotal').val();
        $.cookie(pageCookie, recPerPage, {expires:config.cookieLife, path:config.webRoot});
        if(mode == 'changePageID')
        {
            if(pageID > pageTotal) pageID = pageTotal;
            if(pageID < 1) pageID = 1;
        }
        else if(mode == 'changeRecPerPage')
        {
            pageID = 1;
        }

        vars = vars.replace('_recTotal_', recTotal)
        vars = vars.replace('_recPerPage_', recPerPage)
        vars = vars.replace('_pageID_', pageID);
        e.parents('.pagerTarget').load(createLink(module, method, vars));
    }

    $(document).on('click', '#goto', function()
    {
        loadPager($(this), 'changePageID');
    });

    $(document).on('change', '#_recPerPage', function()
    {
        loadPager($(this), 'changeRecPerPage');
    });

    $(document).on('click', '.showOrder', function()
    {
        var type = $(this).attr('value');

        if(type == '') return false;
        if($(this).parents('li').hasClass('active')) return false;       

        $('#orderProductsBox').empty();
        $('.showOrder').parents('li').toggleClass('active');
        v.type = type;
    });
});
