<?php
/**
 * The show initialize view file of setting module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     setting
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<div class='container'>
  <?php if(count($itemList) > 0):?>
  <div class="alert alert-info with-icon">
    <i class="icon-info-sign"></i>  
    <div class="content"><strong><?php echo $lang->setting->initialize->info;?></strong></div>
  </div>
  <div class="alert alert-warning with-icon">
    <table class='table table-form'>
      <tr class='text-left'>
        <?php foreach($itemList as $item):?>
        <td><?php echo html::a($this->createLink($item->module, $item->method, $item->params), $lang->setting->initialize->{$item->name}, "class='btn btn-primary loadInModal'");?></td>
        <?php endforeach;?>
      </tr>
    </table>
  </div>
  <div class='text-center'>
    <?php echo html::a(inlink('showInitialize', 'type=update&value=true'), $lang->setting->initialize->neverShow, "class='btn'");?>
  </div>
  <?php else:?>
  <div class="alert alert-success with-icon">
    <i class="icon-ok-sign"></i>  
    <div class="content"><strong><?php echo $lang->setting->initialize->success;?></strong></div>
  </div>
  <div class='text-center'>
    <?php echo html::commonButton($lang->setting->initialize->startUse, 'btn btn-success', "data-dismiss='modal'");?>
  </div>
  <?php endif;?>
</div>
<?php include '../../common/view/footer.modal.html.php';?>
