<?php 
/**
 * The edit view file of store module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     store 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<form class='form-inline' action="<?php echo $this->createLink('store', 'edit', "storeID={$store->id}");?>" id='ajaxForm' method='post'>
  <table class='table table-form'>
    <tr>
      <th class='w-100px'><?php echo $lang->store->name;?></th>
      <td>
        <div class="required required-wrapper"></div>
        <?php echo html::input('name', $store->name, "class='form-control'");?>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->store->location;?></th>
      <td><?php echo html::input('location', $store->location, "class='form-control'");?></td>
    </tr>
    <tr>
      <th><?php echo $lang->store->manager;?></th>
      <td><?php echo html::input('manager', $store->manager, "class='form-control'");?></td>
    </tr>
    <tr>
      <th class='w-100px'><?php echo $lang->store->desc;?></th>
      <td><?php echo html::textarea('desc', $store->desc, "class='form-control' rows='4'");?></td>
    </tr>
    <tr>
      <th></th>
      <td><?php echo html::submitButton() . html::commonButton($lang->close, 'btn', "data-dismiss='modal'");?></td>
    </tr>
  </table>
</form>
<?php include '../../common/view/footer.modal.html.php';?>
