<?php
/**
 * The batch edit trade view of trade module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     trade
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php js::set('type', $type);?>
<form id='ajaxForm' method='post' action="<?php echo inlink('batchedit', "step=save&type={$type}")?>">
  <div class='panel'>
    <div class='panel-heading'><strong><i class="icon-edit"></i> <?php echo $lang->batchEdit;?></strong></div>
    <table class='table table-hover'>
      <thead>
        <tr class='text-center'>
          <th class='w-100px'><?php echo $lang->trade->type;?></th> 
          <th class='w-180px required'><?php echo $lang->trade->depositor;?></th>
          <th class='w-180px required'><?php echo $lang->trade->customer[$type];?></th> 
          <th class='w-120px required'><?php echo $lang->trade->money;?></th>
          <th class='w-200px required'><?php echo $lang->trade->handlers;?></th>
          <th class='w-120px'><?php echo $lang->trade->date;?></th>
          <th><?php echo $lang->trade->desc;?></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach($trades as $id => $trade):?>
        <tr>
          <td>
            <?php echo html::input("", zget($lang->trade->typeList, $trade->type), "class='form-control' readonly");?>
            <?php echo html::hidden("type[{$id}]", $trade->type);?>
          </td>
          <td><?php echo html::select("depositor[{$id}]", $depositors, $trade->depositor, "class='form-control' id='depositor{$id}'");?></td>
          <td><?php echo html::select("trader[{$id}]", $customerList, $trade->trader, "class='form-control chosen' id='trader{$id}'");?></td>
          <td><?php echo html::input("money[$id]", $trade->money, "class='form-control' id='money{$id}'");?></td>
          <td><?php echo html::select("handlers[$id][]", $users, $trade->handlers, "class='form-control chosen' id='handlers{$id}' multiple");?></td>
          <td><?php echo html::input("date[$id]", $trade->date, "class='form-control form-date' id='date{$id}'");?></td>
          <td><?php echo html::textarea("desc[$id]", $trade->desc, "rows='1' class='form-control'");?></td>
        </tr>
        <?php endforeach;?>
      </tbody>
      <tfoot><tr><td colspan='7' class='text-center'><?php echo html::submitButton() . html::backButton();?></td></tr></tfoot>
    </table>
  </div>
</form>
<?php include '../../common/view/footer.html.php';?>
