<?php 
/**
 * The browse view file of balance module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     balance 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<?php commonModel::printLink('balance', 'create', "depositor={$depositor}", "<i class='icon-plus'></i> {$lang->balance->create}", "class='btn btn-primary btn-create loadInModal'");?>
<table class='table table-hover table-striped tablesorter' id='balanceList'>
  <tbody>
    <tr>
      <th class='w-100px'><?php echo $lang->balance->depositor;?></th>
      <th class='w-100px'><?php echo $lang->balance->date;?></th>
      <th class='w-100px'><?php echo $lang->balance->currency;?></th>
      <th class='w-100px'><?php echo $lang->balance->money;?></th>
      <th class='w-60px text-center'><?php echo $lang->actions;?></th>
    </tr>
    <?php foreach($balances as $balance):?>
    <tr>
      <td><?php echo $depositorList[$balance->depositor];?></td>
      <td><?php echo formatTime($balance->date, DT_DATE4);?></td>
      <td><?php echo zget($currencyList, $balance->currency);?></td>
      <td><?php echo $balance->money;?></td>
      <td class='text-center'>
        <?php commonModel::printLink('balance', 'edit', "balanceID={$balance->id}", $lang->edit, "class='loadInModal'");?>
        <?php commonModel::printLink('balance', 'delete', "balanceID={$balance->id}", $lang->delete, "class='deleter'");?>
      </td>
    </tr>
    <?php endforeach;?>
  </tbody>
</table>
<?php include '../../common/view/footer.modal.html.php';?>
