<?php 
/**
 * The browse view of batch module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     batch 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='panel'>
  <table class='table table-condensed table-hover table-striped tablesorter'>
    <thead>
      <tr>
        <th class='w-60px'><?php echo $lang->id;?></th>
        <th class='w-140px'><?php echo $lang->order->orderNo;?></th>
        <th><?php echo $lang->batch->trader->$type;?></th>
        <th class='w-120px'><?php echo $lang->order->finishedDate;?></th>
        <th class='w-80px'><?php echo $lang->status;?></th>
        <th class='w-100px text-center'><?php echo $lang->actions;?></th>
      </tr>
    </thead>
    <tbody>
      <?php if($method == 'browse'):?>
      <?php foreach($batches as $id => $batch):?>
      <tr>
        <td><?php echo $id;?></td>
        <td>
          <?php $order = zget($orders, $batch->order);?>
          <?php if(!commonModel::printLink(str_replace('Refund', '', $order->type), 'detail', "id={$order->id}", $order->orderNo)) echo $order->orderNo;?>
        </td>
        <td>
          <?php $company = zget($companies, $batch->trader);?>
          <?php if(!commonModel::printLink($company->type, 'detail', "id={$company->id}", $company->fullName)) echo $company->fullName;?>
        </td>
        <td>
          <?php echo $order->finishedDate;?>
        </td>
        <td><?php echo zget($lang->batch->statusList, $batch->status, ' ');?></td>
        <td>
          <?php 
            commonModel::printLink('batch', 'deliver', "id={$id}", $lang->batch->deliver->common, "data-toggle='modal'");
            commonModel::printLink('batch', 'printBatch', "id={$id}&module=batch", $lang->print);
            commonModel::printLink('batch', 'editDeliver', "id={$id}", $lang->edit, "data-toggle='modal'");
          ?>
        </td>
      </tr>
      <?php endforeach;?>
      <?php endif;?>
      <?php if($method == 'browseBuyOrders'):?>
      <?php foreach($orders as $id => $order):?>
      <tr>
        <td><?php echo $id;?></td>
        <td>
          <?php if(!commonModel::printLink(str_replace('Refund', '', $order->type), 'detail', "id={$order->id}", $order->orderNo)) echo $order->orderNo;?>
        </td>
        <td>
          <?php $company = zget($companies, $order->trader);?>
          <?php if(!commonModel::printLink($company->type, 'detail', "id={$company->id}", $company->fullName)) echo $company->fullName;?>
        </td>
        <td><?php echo $order->finishedDate;?></td>
        <td><?php echo zget($lang->order->statusList, $order->status, ' ');?></td>
        <td class='text-center'>
          <?php if(!commonModel::printLink('batch', 'create', "orderId={$id}&status=receive", $lang->batch->receive->common)) echo $lang->batch->receive->common;?>
        </td>
      </tr>
      <?php endforeach;?>
      <?php endif;?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan='8'><?php $pager->show();?></td>
      </tr>
    </tfoot>
  </table>
</div>
<?php include '../../common/view/footer.html.php';?>
