<?php
/**
 * The zh-tw lang file of common module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青島億鬥網絡信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商業軟件)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     common 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
/* Common sign setting. */
$lang->colon      = '：';
$lang->prev       = '‹';
$lang->next       = '›';
$lang->laquo      = '&laquo;';
$lang->raquo      = '&raquo;';
$lang->minus      = ' - ';
$lang->dollarSign = '￥';
$lang->divider    = "<span class='divider'>{$lang->raquo}</span> ";
$lang->back2Top   = '返回頂部';
$lang->help       = '幫助';

/* Lang items for xirang. */
$lang->yidou      = '億鬥進銷存管理系統';
$lang->yidoux     = '億鬥';
$lang->agreement  = "已閲讀並同意<a href='http://api.yidou.org/goto.php?item=license' target='_blank'>《億鬥進銷存管理系統使用協議》</a>";
$lang->poweredBy  = " <span id='poweredBy'><a href='http://www.yidou.org/?v=%s' target='_blank' title='%s'>{$lang->yidoux} %s</a></span>";
$lang->newVersion = "提示：億鬥進銷存管理系統已于 <span id='releaseDate'></span> 發佈 <span id='version'></span> 版本。<a href='' target='_blank' id='upgradeLink'>馬上下載</a>";

/* Global lang items. */
$lang->home           = '首頁';
$lang->welcome        = '歡迎您，<strong>%s</strong>！';
$lang->messages       = "<strong><i class='icon-comment-alt'></i> %s</strong>";
$lang->todayIs        = '今天是%s，';
$lang->aboutUs        = '關於我們';
$lang->link           = '友情連結';
$lang->register       = '註冊';
$lang->logout         = '退出';
$lang->login          = '登錄';
$lang->id             = '編號';
$lang->account        = '帳號';
$lang->password       = '密碼';
$lang->profile        = '個人檔案';
$lang->changePassword = '修改密碼';
$lang->language       = 'Language';
$lang->forgotPassword = '忘記密碼?';
$lang->currentPos     = '當前位置';
$lang->categoryMenu   = '分類導航';
$lang->history        = '歷史記錄';
$lang->reverse        = '切換順序';
$lang->switchDisplay  = '切換顯示';

/* Global action items. */
$lang->reset           = '重置';
$lang->create          = '添加';
$lang->new             = '新建';
$lang->edit            = '編輯';
$lang->batchCreate     = '批量添加';
$lang->batchEdit       = '批量編輯';
$lang->copy            = '複製';
$lang->hide            = '隱藏';
$lang->cancel          = '取消';
$lang->activate        = '激活';
$lang->delete          = '刪除';
$lang->finish          = '完成';
$lang->close           = '關閉';
$lang->import          = '導入';
$lang->createdByImport = '經由導入創建';
$lang->importData      = '導入數據';
$lang->exportTemplate  = '下載導入模版';
$lang->showImport      = '導入確認';
$lang->schema          = '模板';
$lang->encode          = '編碼';
$lang->export          = '導出';
$lang->exportData      = '導出數據';
$lang->print           = '打印';
$lang->setFileName     = '檔案名：';
$lang->save            = '保存';
$lang->confirm         = '確認';
$lang->emailNotify     = '郵件通知';
$lang->preview         = '預覽';
$lang->goback          = '返回';
$lang->search          = '搜索';
$lang->more            = '更多';
$lang->unfold          = '+';
$lang->fold            = '-';
$lang->selectAll       = '全選';
$lang->selectReverse   = '反選';
$lang->actions         = '操作';
$lang->packDown        = '展開列表';
$lang->packUp          = '收起列表';
$lang->feature         = '未來';
$lang->year            = '年';
$lang->loading         = '稍候...';
$lang->slack           = '獃滯';
$lang->saveSuccess     = '保存成功';
$lang->saveFail        = '保存失敗';
$lang->setSuccess      = '設置成功';
$lang->sendSuccess     = '發送成功';
$lang->deleteSuccess   = '刪除成功';
$lang->fail            = '失敗';
$lang->noResultsMatch  = '沒有匹配的選項';
$lang->noFile          = '沒有選擇檔案';
$lang->noFunction      = '沒有可用的編碼轉換函數';
$lang->alias           = '搜索引擎優化使用，可使用英文或數字';
$lang->detail          = '詳情';
$lang->desc            = '備註';
$lang->ditto           = '同上';
$lang->timeCountDown   = "<strong id='countDown'>3</strong> 秒後轉向首頁。";
$lang->redirect        = '立即轉向';
$lang->assignedToMe    = '指派給我';
$lang->privilege       = '權限';
$lang->noPriv          = '沒有可用的功能，請聯繫管理員獲取權限。';
$lang->status          = '狀態';
$lang->refresh         = '刷新';

/* Currency. */
$lang->currencySign['rmb'] = '￥';
$lang->currencySign['usd'] = '$';

/* Currency. */
$lang->currencyList['rmb'] = '人民幣';
$lang->currencyList['usd'] = '美元';

/* Import support coding format. */
$lang->importEncodeList['gbk']   = 'GBK';
$lang->importEncodeList['big5']  = 'BIG5';
$lang->importEncodeList['utf-8'] = 'UTF-8';

/* The type of the export file list. */
$lang->exportFileTypeList['xls']     = 'xls';
$lang->exportFileTypeList['xlsx']    = 'xlsx';
//$lang->exportFileTypeList['csv']   = 'csv';
//$lang->exportFileTypeList['xml']   = 'xml';
//$lang->exportFileTypeList['html']  = 'html';

$lang->exportTypeList['all']      = '全部記錄';
$lang->exportTypeList['selected'] = '選中記錄';

/* Items for javascript. */
$lang->js = new stdclass();
$lang->js->confirmDelete = '您確定要執行刪除操作嗎？';
$lang->js->delete        = '刪除';
$lang->js->deleteing     = '刪除中';
$lang->js->doing         = '處理中';
$lang->js->loading       = '加載中';
$lang->js->timeout       = '網絡超時,請重試';

/* Contact fields*/
$lang->contact = new stdclass();
$lang->contact->common    = '聯繫人';
$lang->contact->contact   = '聯繫人';
$lang->contact->contactUs = '聯繫我們';
$lang->contact->list      = '聯繫人列表';
$lang->contact->company   = '所屬公司';
$lang->contact->title     = '職務';
$lang->contact->name      = '姓名';
$lang->contact->gender    = '性別';
$lang->contact->address   = '聯繫地址';
$lang->contact->phone     = '電話';
$lang->contact->mobile    = '手機';
$lang->contact->email     = '電子郵箱';
$lang->contact->fax       = '傳真';
$lang->contact->qq        = 'QQ';
$lang->contact->weibo     = '微博';
$lang->contact->weixin    = '微信';
$lang->contact->wangwang  = '旺旺';

$lang->contact->genderList['m'] = '男';
$lang->contact->genderList['f'] = '女';
$lang->contact->genderList['u'] = '';

$lang->contact->isMaker[1]     = '是';
$lang->contact->isMaker[0]     = '否';

$lang->contact->create         = '新建聯繫人';
$lang->contact->setMaker       = '設為預設';
$lang->contact->maker          = '預設聯繫人';
$lang->contact->default        = '預設';

/* The main menus. */
$lang->menu = new stdclass();
$lang->menu->index    = '首頁|index|index|';
$lang->menu->sale     = '銷售|sale|index|';
$lang->menu->buy      = '採購|buy|index|';
$lang->menu->storage  = '倉儲|batch|browse|status=picking';
$lang->menu->company  = '夥伴|company|index|';
$lang->menu->finance  = '財務|finance|index|';
$lang->menu->report   = '報表|report|index|';
$lang->menu->setting  = '後台|setting|index|';

/* Menu groups setting. */
$lang->menuGroups = new stdclass();
$lang->menuGroups->sale     = 'sale';
$lang->menuGroups->buy      = 'buy';
$lang->menuGroups->batch    = 'storage';
$lang->menuGroups->product  = 'storage';
$lang->menuGroups->customer = 'company';
$lang->menuGroups->supplier = 'company';
$lang->menuGroups->partner  = 'company';
$lang->menuGroups->finance  = 'finance';
$lang->menuGroups->report   = 'report';
$lang->menuGroups->setting  = 'setting';
$lang->menuGroups->user     = 'setting';
$lang->menuGroups->tree     = 'setting';
$lang->menuGroups->store    = 'setting';
$lang->menuGroups->shelf    = 'setting';
$lang->menuGroups->mail     = 'setting';

/* Menu of sale module. */
$lang->sale = new stdclass();
$lang->sale->menu = new stdclass();
$lang->sale->menu->assignedToMe = '指派給我|sale|browse|status=assignedToMe';
$lang->sale->menu->underway     = '進行中  |sale|browse|status=underway';
$lang->sale->menu->all          = '所有訂單|sale|browse|status=all';
$lang->sale->menu->picking      = '待配貨  |sale|browse|status=picking';
$lang->sale->menu->canceled     = '已取消  |sale|browse|status=canceled';
$lang->sale->menu->finished     = '已完成  |sale|browse|status=finished';

/* Menu of sale module. */
$lang->buy = new stdclass();
$lang->buy->menu = new stdclass();
$lang->buy->menu->assignedToMe = '指派給我|buy|browse|status=assignedToMe';
$lang->buy->menu->underway     = '進行中  |buy|browse|status=underway';
$lang->buy->menu->all          = '所有訂單|buy|browse|status=all';
$lang->buy->menu->toPurchase   = '採購需求|buy|purchase|';
$lang->buy->menu->canceled     = '已取消  |buy|browse|status=canceled';
$lang->buy->menu->finished     = '已完成  |buy|browse|status=finished';

/* Menu of storage module. */
$lang->storage = new stdclass();
$lang->storage->menu = new stdclass();
$lang->storage->menu->pick     = array('link' => '待發貨|batch|browse|status=picking', 'alias' => 'printbatch');
$lang->storage->menu->receive  = '待收貨|batch|browseBuyOrders|';
$lang->storage->menu->finished = '已完成|batch|browseFinishedBatches|';
$lang->storage->menu->product  = array('link' => '產品|product|browse|', 'alias' => 'create,edit,detail,batchcreate,batchedit');

$lang->storage->submenu = new stdclass();
$lang->storage->submenu->pick = new stdclass();
$lang->storage->submenu->pick->normal   = '待處理|batch|browse|status=picking';
$lang->storage->submenu->pick->finished = '已完成|batch|browse|status=delivered';

/* Menu of batch module. */
$lang->batch = new stdclass();
$lang->batch->menu = $lang->storage->menu;

/* Menu of product module. */
$lang->product = new stdclass();
$lang->product->menu = $lang->storage->menu;

/* Menu of company module. */
$lang->company = new stdclass();
$lang->company->menu = new stdclass();
$lang->company->menu->customer = '客戶|customer|browse|';
$lang->company->menu->supplier = '供應商|supplier|browse|';
$lang->company->menu->partner  = '合作夥伴|partner|browse|';

/* Menu of customer module. */
$lang->customer = new stdclass();
$lang->customer->menu = $lang->company->menu;

/* Menu of supplier module. */
$lang->supplier = new stdclass();
$lang->supplier->menu = $lang->company->menu;

/* Menu of partner module. */
$lang->partner = new stdclass();
$lang->partner->menu = $lang->company->menu;

$lang->finance = new stdclass();
$lang->finance->menu = new stdclass();
$lang->finance->menu->sale        = '應收賬款|finance|browse|type=in&searchType=thismonth'; 
$lang->finance->menu->buy         = '應付賬款|finance|browse|type=out&searchType=thismonth';
$lang->finance->menu->check       = '對賬單|finance|check|';
$lang->finance->menu->collect     = '收款單|trade|browse|type=in';
$lang->finance->menu->pay         = '付款單|trade|browse|type=out';
$lang->finance->menu->depositor   = '賬戶|depositor|browse|';

$lang->report = new stdclass();
$lang->report->menu = new stdclass();
$lang->report->menu->sale    = '銷售報表|report|saleReport|';
$lang->report->menu->buy     = '採購報表|report|buyReport|';
$lang->report->menu->product = '庫存報表|report|productReport|';

/* Menu of setting module. */
$lang->setting = new stdclass();
$lang->setting->menu = new stdclass();
$lang->setting->menu->company   = '系統設置|company|editself|';
$lang->setting->menu->privilege = array('link' => '用戶權限|user|index|', 'alias' => 'admin, create, edit');
$lang->setting->menu->store     = '倉庫設置|store|browse|';
$lang->setting->menu->product   = '產品屬性|tree|browse|type=product';
$lang->setting->menu->mail      = array('link' => '發信設置|mail|edit|', 'alias' => 'admin,detect,save,test,reset');

/* Menu of user module. */
$lang->user = new stdclass();
$lang->user->menu = $lang->setting->menu;

/* Menu of store module. */
$lang->store = new stdclass();
$lang->store->menu = $lang->setting->menu;

/* Menu of shelf module. */
$lang->shelf = new stdclass();
$lang->shelf->menu = $lang->setting->menu;

/* Menu of user module. */
$lang->mail = new stdclass();
$lang->mail->menu = $lang->setting->menu;

/* The error messages. */
$lang->error = new stdclass();
$lang->error->length           = array('<strong>%s</strong>長度錯誤，應當為<strong>%s</strong>', '<strong>%s</strong>長度應當不超過<strong>%s</strong>，且不小於<strong>%s</strong>。');
$lang->error->reg              = '<strong>%s</strong>不符合格式，應當為:<strong>%s</strong>。';
$lang->error->unique           = '<strong>%s</strong>已經有<strong>%s</strong>這條記錄了。';
$lang->error->notempty         = '<strong>%s</strong>不能為空。';
$lang->error->notallzero       = '<strong>%s</strong>不能全為0。';
$lang->error->equal            = '<strong>%s</strong>必須為<strong>%s</strong>。';
$lang->error->gt               = "<strong>%s</strong>應當大於<strong>%s</strong>。";
$lang->error->ge               = "<strong>%s</strong>應當不小於<strong>%s</strong>。";
$lang->error->lt               = "<strong>%s</strong>應當小於<strong>%s</strong>。";
$lang->error->le               = "<strong>%s</strong>應當不大於<strong>%s</strong>。";
$lang->error->in               = '<strong>%s</strong>必須為<strong>%s</strong>。';
$lang->error->int              = array('<strong>%s</strong>應當是數字。', '<strong>%s</strong>最小值為%s',  '<strong>%s</strong>應當介於<strong>%s-%s</strong>之間。');
$lang->error->float            = '<strong>%s</strong>應當是數字，可以是小數。';
$lang->error->email            = '<strong>%s</strong>應當為合法的EMAIL。';
$lang->error->URL              = '<strong>%s</strong>應當為合法的URL。';
$lang->error->date             = '<strong>%s</strong>應當為合法的日期。';
$lang->error->account          = '<strong>%s</strong>應當為字母和數字的組合，至少三位';
$lang->error->passwordsame     = '兩次密碼應當相等。';
$lang->error->passwordrule     = '密碼應該符合規則，長度至少為六位。';
$lang->error->captcha          = '請輸入正確的驗證碼。';
$lang->error->noWritable       = '%s 可能不可寫，請修改權限！';
$lang->error->token            = '必須為英文或數字，長度為3-32字元！';
$lang->error->hasBeenUsed      = '該項目已被使用，不允許刪除。';
$lang->error->numberOverflow   = '<strong>%s</strong>數字過大，無法保存。';
$lang->error->duplicateProduct = '品名、標準、規格、材質均相同的產品已存在，請勿重複創建。';
$lang->error->duplicateCompany = '全稱或簡稱相同的公司已存在，請勿重複創建。';
$lang->error->duplicateItem    = '%s已存在，請勿重複創建。';

/* The pager items. */
$lang->pager = new stdclass();
$lang->pager->noRecord = '暫時沒有記錄。';
$lang->pager->digest   = '共 <strong>%s</strong> 條記錄，每頁 <strong>%s</strong> 條，頁面：<strong>%s/%s</strong> ';
$lang->pager->first    = '首頁';
$lang->pager->pre      = '上頁';
$lang->pager->next     = '下頁';
$lang->pager->last     = '末頁';
$lang->pager->locate   = 'Go!';

$lang->date = new stdclass();
$lang->date->common = '日期';
$lang->date->minute = '分鐘';
$lang->date->day    = '天';

/* The excel items. */
$lang->excel = new stdClass();
$lang->excel->canNotRead = '不能解析該檔案';

$lang->excel->error = new stdclass();
$lang->excel->error->info  = '您輸入的值不在下拉框列表內。';
$lang->excel->error->title = '輸入有誤';

$lang->excel->title = new stdclass();
$lang->excel->title->product  = '產品';
$lang->excel->title->company  = '商家';
$lang->excel->title->order    = '訂單';
$lang->excel->title->sysValue = '系統數據';

/* The datetime settings. */
define('DT_DATETIME1',  'Y-m-d H:i:s');
define('DT_DATETIME2',  'y-m-d H:i');
define('DT_MONTHTIME1', 'n/d H:i');
define('DT_MONTHTIME2', 'n月d日 H:i');
define('DT_DATE1',      'Y年m月d日');
define('DT_DATE2',      'Ymd');
define('DT_DATE3',      'Y年m月d日');
define('DT_DATE4',      'Y-m-d');
define('DT_TIME1',      'H:i:s');
define('DT_TIME2',      'H:i');

/* Common action icons 通用動作表徵圖 */
$lang->icons['todo']      = 'check';
$lang->icons['product']   = 'cube';
$lang->icons['bug']       = 'bug';
$lang->icons['task']      = 'check-sign';
$lang->icons['tasks']     = 'tasks';
$lang->icons['project']   = 'folder-close-alt';
$lang->icons['doc']       = 'file-text';
$lang->icons['doclib']    = 'folder-close';
$lang->icons['story']     = 'lightbulb';
$lang->icons['release']   = 'tags';
$lang->icons['roadmap']   = 'code-fork';
$lang->icons['plan']      = 'flag';
$lang->icons['dynamic']   = 'volume-up';
$lang->icons['build']     = 'tag';
$lang->icons['test']      = 'check';
$lang->icons['testtask']  = 'check';
$lang->icons['group']     = 'group';
$lang->icons['team']      = 'group';
$lang->icons['company']   = 'building';
$lang->icons['user']      = 'user';
$lang->icons['dept']      = 'sitemap';
$lang->icons['tree']      = 'sitemap';
$lang->icons['usecase']   = 'sitemap';
$lang->icons['testcase']  = 'smile';
$lang->icons['result']    = 'flag-checkered';
$lang->icons['mail']      = 'envelope';
$lang->icons['trash']     = 'trash';
$lang->icons['extension'] = 'th-large';
$lang->icons['app']       = 'th-large';

$lang->icons['results']        = 'flag-checkered';
$lang->icons['create']         = 'plus';
$lang->icons['post']           = 'edit';
$lang->icons['batchCreate']    = 'plus-sign';
$lang->icons['batchEdit']      = 'edit-sign';
$lang->icons['batchClose']     = 'off';
$lang->icons['edit']           = 'pencil';
$lang->icons['delete']         = 'remove';
$lang->icons['copy']           = 'copy';
$lang->icons['report']         = 'bar-chart';
$lang->icons['export']         = 'download-alt';
$lang->icons['report-file']    = 'file-powerpoint';
$lang->icons['import']         = 'upload-alt';
$lang->icons['finish']         = 'ok-sign';
$lang->icons['resolve']        = 'ok-sign';
$lang->icons['start']          = 'play';
$lang->icons['restart']        = 'play';
$lang->icons['run']            = 'play';
$lang->icons['runCase']        = 'play';
$lang->icons['batchRun']       = 'play-sign';
$lang->icons['assign']         = 'hand-right';
$lang->icons['assignTo']       = 'hand-right';
$lang->icons['change']         = 'random';
$lang->icons['link']           = 'link';
$lang->icons['close']          = 'off';
$lang->icons['activate']       = 'off';
$lang->icons['review']         = 'search';
$lang->icons['confirm']        = 'search';
$lang->icons['putoff']         = 'calendar';
$lang->icons['suspend']        = 'pause';
$lang->icons['pause']          = 'pause';
$lang->icons['cancel']         = 'ban-circle';
$lang->icons['recordEstimate'] = 'time';
$lang->icons['customFields']   = 'cogs';
$lang->icons['manage']         = 'cog';
$lang->icons['unlock']         = 'unlock-alt';
$lang->icons['confirmStoryChange'] = 'search';
