<?php
/**
 * The contact list view file of customer module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      chujilu <chujilu@cnezsoft.com>
 * @package     company
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<table class='table table-bordered'>
  <thead>
    <tr class='text-center'>
      <th class='w-120px'><?php echo $lang->contact->name;?></th>
      <th class='w-50px' ><?php echo $lang->contact->gender;?></th>
      <th class='w-100px'><?php echo $lang->contact->title;?></th>
      <th class='w-110px'><?php echo $lang->contact->phone;?></th>
      <th class='w-160px'><?php echo $lang->contact->email;?></th>
      <th class='w-100px'><?php echo $lang->contact->qq;?></th>
      <th class='w-100px'><?php echo $lang->contact->wangwang;?></th>
      <th class='w-100px'><?php echo $lang->desc;?></th>
      <th class='w-130px'><?php echo $lang->actions;?></th>
    </tr>
  </thead>
  <tbody>
    <?php foreach($contacts as $contact):?>
    <tr class='text-center'>
      <td><?php echo $contact->name; echo $contact->maker ? " <a class='label label-success'>{$lang->contact->default}</a>" : '';?></td>
      <td><?php echo zget($lang->contact->genderList, $contact->gender, ' ');?></td>
      <td><?php echo $contact->title;?></td>
      <td><?php echo $contact->phone;?></td>
      <td><?php if($contact->email) echo html::a("mailto:$contact->email", $contact->email);?></td>
      <td><?php if($contact->qq) echo html::a("http://wpa.qq.com/msgrd?v=3&uin=$contact->qq&site=&menu=yes", $contact->qq);?></td>
      <td><?php echo $contact->wangwang;?></td>
      <td><?php echo $contact->desc;?></td>
      <td>
        <?php 
          commonModel::printLink($type, 'setMaker', "contactID={$contact->id}", $lang->contact->setMaker, "class='loadInModal'");
          commonModel::printLink($type, 'editContact', "contactID={$contact->id}", $lang->edit, "class='loadInModal'");
          commonModel::printLink($type, 'deleteContact', "contactID={$contact->id}", $lang->delete, "id='contact{$contact->id}' class='deleter'");
        ?>
      </td>
    </tr>
    <?php endforeach;?>
  <tbody>
</table>
<div class='text-right'>
  <?php commonModel::printLink($type, 'linkContact', "companyID={$companyID}", $lang->create, "class='loadInModal btn btn-primary'");?>
</div>
<?php include '../../common/view/footer.modal.html.php';?>
