$(document).ready(function()
{
    if(config.requestType == 'GET')
    {
        var selector = '[href*=m\\=finance][href*=f\\=browse][href*=type\\=' + v.type + ']';
    }
    else if(config.requestType == 'PATH_INFO')
    {
        var selector = '[href*=finance-browse-' + v.type + ']';
    }
    $('#menu .nav > li').removeClass('active').find(selector).parent().addClass('active'); 
    $('#' + v.searchType).css('font-weight','bold');
    
    $('#searchTab').click(function()
    {
        if($(this).hasClass('active')) $(this).removeClass('active')
        else $(this).addClass('active');
        $('#querybox').toggle();
    });

    $('.postHiddenForm').click(function()
    {
        var id        = $(this).attr('id');
        var companyId = $(this).parents('tr').find('#companyId').val();
        var money     = $(this).parents('tr').find('#money').val();
        if(id == 'trade')
        {
            var link = createLink('trade', 'create', 'type=' + v.type);
            $('#hiddenForm').find('#companyId').val(companyId);
            $('#hiddenForm').find('#money').val(money);
        }
        else if(id == 'check') 
        {
            var link = createLink('finance', id, 'companyId=' + companyId);
        }
        else if(id == 'detail')
        {
            var link = createLink('finance', id, 'type=' + v.type + '&companyId=' + companyId);
        }
        $('#hiddenForm').attr('action', link).submit();
    });

    if(v.searchType == 'bysearch') $('#searchTab').click();
})
