<?php 
/**
 * The check view file of finance module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     finance 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php js::import($jsRoot . 'jquery/printarea/printarea.js')?>
<div class='panel'>
  <div id='featurebar'>
    <div id='querybox' class=''>
      <form id='searchForm' method='post' action='<?php echo inlink('check');?>'>
        <table class='table table-condensed table-form' style='margin: 0 auto'>
          <tr>
            <td class='w-180px'><?php echo html::select('company', $companies, empty($company) ? '' : $company->id, "class='form-control chosen' data-placeholder='{$lang->finance->select['company']}'");?></td>
            <td class='w-180px'><?php echo html::input('begin', $begin, "class='form-control form-date' placeholder='{$lang->finance->select['begin']}'");?></td>
            <td class='w-180px'><?php echo html::input('end',   $end,   "class='form-control form-date' placeholder='{$lang->finance->select['end']}'");?></td>
            <td class='w-180px'>
              <label class='checkbox'>
                <input type='checkbox' name='detail' value='1' class='checkbox' <?php if($detail) echo 'checked';?>><?php echo $lang->finance->check->orderDetail;?>
              </label>
            </td>
            <td>
              <div class='btn-group'>
                <?php echo html::submitButton($lang->search);?>
              </div>
            </td>
          </tr>
        </table>
      </form>
    </div>
  </div>
  <?php if(!empty($company)):?>
  <?php 
      if(empty($detail))
      {
          $width = '21cm';
      }
      else
      {
          $width = '29.7cm';
      }
  ?>
  <div id='printarea'>
  <style>
    #printarea {width:<?php echo $width;?>; margin:0 auto}
    .table-bordered, .table-bordered tr, .table-bordered thead > tr > th, .table-bordered th, .table-bordered td{border: 1px solid #000;}
    .table-print {font: 12px/1.5 arial, \5b8b\4f53; color: #555;}
    .table-print th, .table-print td {padding: 2px;}
    .title-print {font-size: 24px;}
    #tips {margin-top:10px; font-weight:bold;}
    @media print {
    #tips {display:none;}
    }
  </style>
    <table class='table table-condensed table-borderless table-print'>
      <tr>
        <th class='text-center title-print' colspan='2'><?php echo empty($selfCompany->fullName) ? $selfCompany->companyName : $selfCompany->fullName;?></th>
      </tr>
      <tr>
        <th class='text-center title-print' colspan='2'><?php echo empty($detail) ? $lang->finance->check->common : $lang->finance->check->detail;?></th>
      </tr>
      <tbody>
        <tr>
          <th><?php echo $lang->company->typeList[$company->type] . '：' . $company->fullName;?></th>
          <th class='text-right'><?php echo sprintf($lang->finance->period, $begin, $end);?></th>
        </tr>
      </tbody>
    </table>
    <table class='table table-condensed table-bordered table-print'>
      <thead>
        <tr class='text-center'>
          <th class='w-120px'><?php echo $lang->finance->serialNo;?></th>
          <th class='w-60px'><?php echo $lang->finance->type;?></th>
          <th class='w-80px'><?php echo $lang->date->common;?></th>
          <?php if(!empty($detail)):?>
          <th class='w-'><?php echo $lang->batch->product;?></th>
          <th class='w-140px'><?php echo $lang->batch->model;?></th>
          <th class='w-60px'><?php echo $lang->batch->unit;?></th>
          <th class='w-60px'><?php echo $lang->batch->amount;?></th>
          <th class='w-60px'><?php echo $lang->batch->price;?></th>
          <?php endif;?>
          <th class='w-100px'><?php echo $lang->batch->money;?></th>
        </tr>
      </thead>
      <tbody>
        <tr class='text-center'>
          <td></td>
          <td><?php echo $lang->finance->lastPeriodBalance;?></td>
          <td></td>
          <?php if(!empty($detail)):?>
          <td colspan='5'></td>
          <?php endif;?>
          <td class='text-right'><?php echo $balance;?></td>
        </tr>
        <?php $orderSaleMoney = $orderBuyMoney = $tradeInMoney = $tradeOutMoney = $orderMoney = $tradeMoney = 0;?> 
        <?php if(!empty($batches)):?>
        <?php foreach($batches as $batch):?>  
        <?php if(!empty($detail)):?>
        <?php $row = count($batch->products);?>
        <?php $i   = 1;?>
        <?php foreach($batch->products as $batchProduct):?>
        <?php $product = zget($products, $batchProduct->product, ' ');?>
        <?php if($product == ' ') continue;?>
        <tr class='text-center'>
          <?php if($i == 1):?>
          <td class='text-middle' rowspan='<?php echo $row;?>'><?php echo $batch->orderNo;?></td>
          </td>
          <td class='text-middle' rowspan='<?php echo $row;?>'><?php echo $lang->finance->order->{$batch->orderType};?></td>
          <td class='text-middle' rowspan='<?php echo $row;?>'><?php echo formatTime($batch->expressedDate, DT_DATE4);?></td>
          <?php endif;?>
          <td>
          <?php  
              $productName = $product->name;
              if($product->standard) $productName .= '-' . $product->standard;
              if($product->material) $productName .= '-' . $product->material;
              echo $productName;
          ?>
          </td>
          <td><?php echo $product->model;?></td>
          <td><?php echo $product->unit;?></td>
          <td><?php echo $batchProduct->amount;?></td>
          <td><?php echo $batchProduct->price;?></td>
          <td class='text-right'><?php echo $batchProduct->money;?></td>
        </tr>
        <?php $i++;?>
        <?php endforeach;?>
        <?php else:?>
        <tr class='text-center'>
          <td><?php echo $batch->orderNo;?></td>
          <td><?php echo $lang->finance->order->{$batch->orderType};?></td>
          <td><?php echo formatTime($batch->expressedDate, DT_DATE4);?></td>
          <?php if(!empty($detail)):?>
          <td colspan='5'></td>
          <?php endif;?>
          <td class='text-right'><?php echo $batch->money;?></td>
        </tr>
        <?php endif;?>
        <?php 
            switch ($batch->orderType)
            {
                case 'sale':
                    $orderSaleMoney += $batch->money;
                    break;
                case 'saleRefund':
                    $orderSaleMoney -= $batch->money;
                    break;
                case 'buy':
                    $orderBuyMoney  += $batch->money;
                    break;
                case 'buyRefund':
                    $orderBuyMoney  -= $batch->money;
                    break;
            }
        ?>
        <?php endforeach;?>
        <tr>
          <th class='text-right' colspan="<?php echo empty($detail) ? '3' : '8';?>"><?php echo $lang->finance->total->order;?></th>
          <th class='text-right'><?php echo $orderMoney = ($company->type == 'supplier') ? $orderBuyMoney - $orderSaleMoney : $orderSaleMoney - $orderBuyMoney;?></th>
        </tr>
        <?php endif;?>
        <?php if(!empty($trades)):?>
        <?php foreach($trades as $trade):?>  
        <tr class='text-center'>
          <td><?php echo $trade->id;?></td>
          <td><?php echo $lang->finance->trade->{$trade->type};?></td>
          <td><?php echo formatTime($trade->date, DT_DATE4);?></td>
          <?php if(!empty($detail)):?>
          <td colspan='5'></td>
          <?php endif;?>
          <td class='text-right'><?php echo $trade->money;?></td>
        </tr>
        <?php ($trade->type == 'in') ? $tradeInMoney += $trade->money : $tradeOutMoney += $trade->money;?>
        <?php endforeach;?>
        <tr>
          <th class='text-right' colspan="<?php echo empty($detail) ? '3' : '8';?>">
            <?php echo $company->type == 'supplier' ? $lang->finance->total->tradeOut : $lang->finance->total->tradeIn;?>
          </th>
          <th class='text-right'>
            <?php echo $tradeMoney = ($company->type == 'supplier') ? $tradeOutMoney - $tradeInMoney : $tradeInMoney - $tradeOutMoney;?>
          </th>
        </tr>
        <?php endif;?>
      </tbody>
      <tfoot>
        <tr>
          <th class='text-right' colspan="<?php echo empty($detail) ? '3' : '8';?>">
            <?php echo $company->type == 'supplier' ? $lang->finance->total->out : $lang->finance->total->in;?>
          </th>
          <th class='text-right'><?php echo  $balance + $orderMoney - $tradeMoney;?></th>
        </tr>
        <tr>
          <th class='text-danger' colspan="<?php echo empty($detail) ? '4' : '9';?>">
            <?php 
              if($company->type == 'customer') echo sprintf($lang->finance->total->{$company->type}, $balance, $orderSaleMoney, $tradeInMoney,  sprintf('%0.2f', $balance + $orderSaleMoney - $tradeInMoney));
              if($company->type == 'supplier') echo sprintf($lang->finance->total->{$company->type}, $balance, $orderBuyMoney,  $tradeOutMoney, sprintf('%0.2f', $balance + $orderBuyMoney - $tradeOutMoney));
              if($company->type == 'partner')  echo sprintf($lang->finance->total->{$company->type}, $balance, $orderSaleMoney, $tradeInMoney,  $orderBuyMoney, $tradeOutMoney, sprintf('%0.2f', $balance + $orderMoney - $tradeMoney));
            ?>
          </th>
        </tr>
      </tfoot>
    </table>
  <div id='tips'><?php echo $lang->finance->print->tips;?></div>
  </div>
  <div class='page-actions text-center'>
    <?php echo html::commonButton($lang->print, 'btn btn-primary', "id='print'");?>
    <?php echo html::backButton();?>
  </div>
  <?php endif;?>
</div>
<?php include '../../common/view/footer.html.php';?>
