<?php 
/**
 * The browse view file of invoice module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan <yaozeyuan@yidou.biz>
 * @package     invoice
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<div class='col-md-2'>
  <ul class='nav nav-primary nav-stacked'>
    <li class="active"><?php echo html::a($this->inLink('selectCompany', array('type' => $type)), $lang->invoice->$type->uninvoiced);?></li>
    <li><?php echo html::a($this->inLink("browse", array('type' => $type)), $lang->invoice->$type->done);?></li>
    <?php if($type == 'sale'):?>
    <li><?php echo html::a($this->inLink("browse", array('type' => $type)), $lang->invoice->$type->discard);?></li>
    <?php endif;?>
  </ul>
</div>
<div class='col-md-10'>
  <div id='querybox'>
    <form id='searchForm' method='post' action='<?php echo inlink('selectCompany', "type={$type}");?>'>
      <table class='table table-condensed table-form'>
        <tr>
          <td class='w-260px'><?php echo html::select('company', $companySearchList, '', "class='form-control chosen' data-placeholder='{$lang->invoice->searchCompany}'");?></td>
          <td class='w-180px'><?php echo html::input('begin', $begin, "class='form-control form-date' placeholder='{$lang->invoice->beginDate}'")?></td>
          <td class='w-180px'><?php echo html::input('end', $end, "class='form-control form-date' placeholder='{$lang->invoice->endDate}'")?></td>
          <td>
            <div class='btn-group'>
              <?php echo html::submitButton($lang->search);?>
            </div>
          </td>
        </tr>
      </table>
    </form>
  </div>
  <div class='panel'>
    <table class='table table-condensed table-hover table-striped tablesorter' id='tradeList'>
      <thead>
        <tr>
          <th class='w-70px'><?php echo $lang->id;?></th>
          <th class='w-300px'><?php echo $lang->invoice->trader[$type];?></th>
          <th class='w-200px'><?php echo $lang->invoice->lastExpressDate;?></th>
          <th class='w-100px'><?php echo $lang->invoice->uninvoicedMoney;?></th>
          <th class='w-100px'><?php echo $lang->detail;?></th>
        </tr>
      </thead>
      <tbody>
        <?php $i = 1;?>
        <?php foreach($companyList as $company):?>
        <tr>
          <td><?php echo $i;?></td>
          <td><?php if(!commonModel::printLink('invoice', 'selectBatches', "companyID={$company->id}&type={$type}&begin={$begin}&end={$end}", $company->fullName)) echo $company->fullName;?></td>
          <td><?php echo $company->lastExpressDate;?></td>
          <td><?php echo $company->uninvoicedMoney;?></td>
          <td><?php if(!commonModel::printLink('invoice', 'selectBatches', "companyID={$company->id}&type={$type}&begin={$begin}&end={$end}", $lang->detail)) echo $lang->detail;?></td>
        </tr>
        <?php $i++;?>
        <?php endforeach;?>
      </tbody>
    </table>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
