<?php 
/**
 * The batch create view file of product module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     product 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class='icon-plus-sign'></i> <?php echo $lang->batchCreate;?></strong>
  </div>
  <form method='post' id='ajaxForm'>
    <table class='table table-borderless'>
      <tr class='text-center'>
        <th class='w-160px required'><?php echo $this->lang->product->category;?></th>
        <th class='w-160px required'><?php echo $this->lang->product->name;?></th>
        <th class='w-160px'><?php echo $this->lang->product->standard;?></th>
        <th class='w-180px'><?php echo $this->lang->product->model;?></th>
        <th class='w-140px'><?php echo $this->lang->product->material;?></th>
        <th class='w-80px'><?php echo $this->lang->product->unit;?></th>
        <th class='w-120px'><?php echo $this->lang->product->amount;?></th>
        <th class='w-60px'><?php echo $lang->actions;?></th>
      </tr>
      <?php 
        $i = 1;
        $categories += array('ditto' => $lang->ditto);
        $standards  += array('ditto' => $lang->ditto);
        $models     += array('ditto' => $lang->ditto);
        $materials  += array('ditto' => $lang->ditto);
        $units      += array('ditto' => $lang->ditto);
      ?>
      <tr>
        <td><?php echo html::select("category[$i]", $categories, $categoryID, "id='category{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::input("name[$i]", '', "id='name{$i}' class='newRows form-control'");?></td>
        <td><?php echo html::select("standard[$i]", $standards, '', "id='standard{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::select("model[$i]", $models, '', "id='model{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::select("material[$i]", $materials, '', "id='material{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::select("unit[$i]", $units, '', "id='unit{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::input("amount[$i]", '', "id='amount{$i}' class='newRows form-control'");?></td>
        <td class='text-center'>
          <?php echo html::a('javascript:;', "<i class='icon-plus'></i>", "class='btn-plus'");?>
          <?php echo html::a('javascript:;', "<i class='icon-remove'></i>", "class='btn-remove'");?>
        </td>
      </tr>
      <?php for($i ++; $i <= $config->product->newItemsCount; $i ++):?>
      <tr>
        <td><?php echo html::select("category[$i]", $categories, 'ditto', "id='category{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::input("name[$i]", '', "id='name{$i}' class='newRows form-control'");?></td>
        <td><?php echo html::select("standard[$i]", $standards, 'ditto', "id='standard{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::select("model[$i]", $models, 'ditto', "id='model{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::select("material[$i]", $materials, 'ditto', "id='material{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::select("unit[$i]", $units, 'ditto', "id='unit{$i}' class='newRows chosen'");?></td>
        <td><?php echo html::input("amount[$i]", '', "id='amount{$i}' class='newRows form-control'");?></td>
        <td class='text-center'>
          <?php echo html::a('javascript:;', "<i class='icon-plus'></i>", "class='btn-plus'");?>
          <?php echo html::a('javascript:;', "<i class='icon-remove'></i>", "class='btn-remove'");?>
        </td>
      </tr>
      <?php endfor;?>
      <tr><td colspan='9' class='text-center'><?php echo html::submitButton() . html::backButton();?></td></tr>
    </table>
  </form>
</div>
<?php js::set('key', $i)?>
<?php include '../../common/view/footer.html.php';?> 
