<?php
/**
 * The batch edit view file of product module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     product
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<form action='<?php echo inlink('batchEdit');?>' method='post' id='ajaxForm'>
  <table id='productList' class='table table-striped datatable' data-fixed-left-width='1050' data-fixedHeader='true' data-datatable-id='productList'>
    <thead>
      <tr class='text-center'>
        <th data-flex='false' data-width='140px' class='required'><?php echo $lang->product->category;?></th>
        <th data-flex='false' data-width='160px' class='required'><?php echo $lang->product->name;?></th>
        <th data-flex='false' data-width='140px'><?php echo $lang->product->standard;?></th>
        <th data-flex='false' data-width='160px'><?php echo $lang->product->model;?></th>
        <th data-flex='false' data-width='140px'><?php echo $lang->product->material;?></th>
        <th data-flex='false' data-width='100px'><?php echo $lang->product->unit;?></th>
        <th data-flex='false' data-width='100px' ><?php echo $lang->product->amount;?></th>
        <th data-flex='true'  data-width='100px'><?php echo $lang->product->brand;?></th>
        <th data-flex='true'  data-width='100px'><?php echo $lang->product->pack;?></th>
        <th data-flex='true'  data-width='150px'><?php echo $lang->product->store;?></th>
        <th data-flex='true'  data-width='150px'><?php echo $lang->product->shelf;?></th>
        <th data-flex='true'  data-width='100px'><?php echo $lang->product->sn;?></th>
        <th data-flex='true'  data-width='100px'><?php echo $lang->product->pinyin;?></th>
        <th data-flex='true'  data-width='100px'><?php echo $lang->product->price;?></th>
        <th data-flex='true'  data-width='100px'><?php echo $lang->desc;?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach($productRecord as $i => $product):?>
      <tr>
        <td>
          <?php echo html::hidden("id[$i]", $product->id);?>
          <?php echo html::select("category[$i]", $categories, $product->category,  "id='category{$i}' class='chosen'");?>
        </td>
        <td><?php echo html::input("name[$i]",      $product->name,                 "id='name{$i}' class='form-control'");?></td>
        <td><?php echo html::select("standard[$i]", $standards, $product->standard, "id='standard{$i}' class='chosen'");?></td>
        <td><?php echo html::select("model[$i]",    $models, $product->model,       "id='model{$i}' class='chosen'");?></td>
        <td><?php echo html::select("material[$i]", $materials, $product->material, "id='material{$i}' class='chosen'");?></td>
        <td><?php echo html::select("unit[$i]",     $units, $product->unit,         "id='unit{$i}' class='chosen'");?></td>
        <td><?php echo html::input("amount[$i]",    $product->amount,               "id='amount{$i}' class='form-control'");?></td>
        <td><?php echo html::input("brand[$i]",     $product->brand,                "id='brand{$i}' class='form-control'");?></td>
        <td><?php echo html::input("pack[$i]",      $product->pack,                 "id='pack{$i}' class='form-control'");?></td>
        <td><?php echo html::select("store[$i]",    $stores,  $product->store,      "id='store{$i}' class='chosen'");?></td>
        <td><?php echo html::select("shelf[$i]",    $shelves, $product->shelf,      "id='shelf{$i}' class='chosen'");?></td>
        <td><?php echo html::input("sn[$i]",        $product->sn,                   "id='sn{$i}' class='form-control'");?></td>
        <td><?php echo html::input("pinyin[$i]",    $product->pinyin,               "id='pinyin{$i}' class='form-control'");?></td>
        <td><?php echo html::input("price[$i]",     $product->price,                "id='price{$i}' class='form-control'");?></td>
        <td><?php echo html::input("desc[$i]",      $product->desc,                 "id='desc{$i}' class='form-control'");?></td>
      </tr>
      <?php endforeach;?>
    </tbody>
    <tfoot>
      <tr class='text-center'>
        <td colspan='17'><?php echo html::submitButton() . html::backButton();?></td>
      </tr>
    </tfoot>
  </table>
</form>
<?php include '../../common/view/footer.html.php';?>
