<?php 
/**
 * The browse view file of store module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     store 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<div id='menuActions'>
  <?php commonModel::printLink('store', 'create', '', "<i class='icon-plus'></i> " . $lang->store->create, "class='btn btn-primary' data-toggle='modal'"); ?>
</div>
<div class='col-md-2'>
  <ul class='nav nav-primary nav-stacked'>
    <li class='active'><?php echo html::a(inlink('browse'), $lang->store->common);?></li>
    <li><?php echo html::a($this->createLink('setting', 'browse', 'module=company&section=express'), $lang->setting->company->fields['express']);?></li>
  </ul>
</div>
<div class='col-md-10'>
  <div class="panel">
    <table class='table table-hover table-striped tablesorter'>
      <thead>
        <tr>
          <th><?php echo $lang->store->name;?></th>
          <th><?php echo $lang->store->location;?></th>
          <th><?php echo $lang->store->manager;?></th>
          <th><?php echo $lang->store->desc;?></th>
          <th class="w-120px"><?php echo $lang->actions;?></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach($stores as $store):?>
        <tr class='test-center'>
          <td><?php echo $store->name;?></td>
          <td><?php echo $store->location;?></td>
          <td><?php echo $store->manager;?></td>
          <td><?php echo $store->desc;?></td>
          <td>
            <?php commonModel::printLink('shelf', 'browse', "storeID={$store->id}", $lang->store->shelf);?>
            <?php commonModel::printLink('store', 'edit', "storeID={$store->id}", $lang->edit, "data-toggle='modal'");?>
            <?php commonModel::printLink('store', 'delete', "storeID={$store->id}", $lang->delete, "class='deleter'");?>
          </td>
        </tr>
        <?php endforeach;?> 
      </tbody>
      <tfoot><tr><td colspan='5'><?php $pager->show();?></td></tr></tfoot>
    </table>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
