<?php
/**
 * The children view of tree module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     tree
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<form method='post' class='form-horizontal' id='childForm' action="<?php echo $this->inlink('children', "type=$type&category=$parent");?>">
  <div class='panel'>
    <div class='panel-heading'>
    <strong><?php echo $parent ? $lang->category->common . ' <i class="icon-double-angle-right"></i> ' : $lang->category->common; ?></strong>
    <?php
    foreach($origins as $origin)
    {
        echo html::a($this->inlink('browse', "type=$type&category=$origin->id"), $origin->name . " <i class='icon-angle-right text-muted'></i> ");
    }
    ?>
    </div>
    <div class='panel-body'>
      <?php
      $maxOrder = 0;
      foreach($children as $child)
      {
          if($child->order > $maxOrder) $maxOrder = $child->order;
          echo "<div class='form-group'>";
          echo "<div class='col-xs-6 col-md-4 col-md-offset-2'>" . html::input("children[$child->id]", $child->name, "class='form-control'") . "</div>";
          echo "</div>";
          echo html::hidden("mode[$child->id]", 'update');
      }

      $newChildrenCount = tree::NEW_CHILD_COUNT;

      for($i = 0; $i < $newChildrenCount; $i ++)
      {
          echo "<div class='form-group'>";
          echo "<div class='col-xs-6 col-md-4 col-md-offset-2'>" . html::input("children[]", '', "class='form-control' placeholder='{$this->lang->category->name}'") . "</div>";
          echo "<div class='col-xs-6 col-md-2'>" . html::a('javascript:;', "<i class='icon-plus'></i>", "class='btn btn-link pull-left btn-mini btn-plus'") . '</div>';
          echo "</div>";
          echo html::hidden('mode[]', 'new');
      }

      if(empty($children) and $type == 'forum')
      {
          echo "<div class='form-group'><div class='col-xs-8 col-md-offset-2'><div class='alert alert-warning'>{$this->lang->board->placeholder->setChildren}</div></div></div>";
      }
      echo "<div class='form-group'><div class='col-xs-8 col-md-offset-2'>" . html::submitButton() . html::backButton() . "</div></div>";

      echo html::hidden('parent',   $parent);
      echo html::hidden('maxOrder', $maxOrder);
      ?>      
    </div>
  </div>
</form>
<div class='child hide'>
  <div class='form-group'>
    <div class='col-xs-6 col-md-4 col-md-offset-2'><?php echo  html::input("children[]", '', "class='form-control' placeholder='{$this->lang->category->name}'");?></div>
    <div class='col-xs-6 col-md-2'><?php echo html::a('javascript:;', "<i class='icon-plus'></i>", "class='btn btn-link pull-left btn-mini btn-plus'");?></div>
  </div>
  <?php echo html::hidden('mode[]', 'new');?>
</div>
<?php if(isset($pageJS)) js::execute($pageJS);?>
