<?php
/**
 * The create view file of user module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      chujilu<chujilu@cnezsoft.com> 
 * @package     User
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php js::set('roleGroup', $roleGroup);?>
<div class='col-md-2'>
  <ul class='nav nav-primary nav-stacked'>
    <li class='active'><?php echo html::a(inlink('admin'), $lang->user->common);?></li>
    <li><?php echo html::a($this->createLink('group', 'browse'), $lang->privilege);?></li>
  </ul>
</div>
<div class='col-md-10'>
  <div class='panel'>
    <div class='panel-heading'><strong><i class='icon-eidt'></i> <?php echo $lang->user->create;?></strong></div>
    <div class='panel-body'>
      <form method='post' id='ajaxForm' class='form form-inline'>
        <table class='table table-form'>
          <tr>
            <th class='w-100px'><?php echo $lang->user->account;?></th>
            <td class='w-p40'><?php echo html::input('account', '', "class='form-control'");?></td>
            <td></td>
          </tr>
          <tr>
            <th class='w-100px'><?php echo $lang->user->realname;?></th>
            <td class='w-p40'><?php echo html::input('realname', '', "class='form-control'");?></td>
            <td></td>
          </tr>
          <?php if($this->app->user->admin == 'super'):?>
          <tr>
            <th><?php echo $lang->user->admin;?></th>
            <td><input name='admin' type='checkbox' value='super'></td>
            <td></td>
          </tr>  
          <?php endif;?>
          <tr>
            <th><?php echo $lang->user->password1;?></th>
            <td><?php echo html::password('password1', '', "class='form-control' autocomplete='off'")?></td>
            <td></td>
          </tr>  
          <tr>
            <th><?php echo $lang->user->password2;?></th>
            <td><?php echo html::password('password2', '', "class='form-control'");?></td>
            <td></td>
          </tr>  
          <tr>
            <th><?php echo $lang->user->role;?></th>
            <td><?php echo html::select('role', $lang->user->roleList, '', "class='form-control' onchange='changeGroup(this.value)'");?></td
            <td></td>
          </tr>
          <tr>
            <th><?php echo $lang->user->group;?></th>
            <td><?php echo html::select('groups[]', $groupList, '', "class='form-control chosen' multiple");?></td>
            <td></td>
          </tr>
          <tr>
            <th><?php echo $lang->user->email;?></th>
            <td><?php echo html::input('email', '', "class='form-control'");?></td>
            <td></td>
          </tr>  
          <tr>
            <th></th>
            <td colspan="2"><?php echo html::submitButton() . html::backButton();?></td>
          </tr>
        </table>
      </form>        
    </div>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
