<?php
/**
 * The edit profile view file of user module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     user
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<form method='post' id='profileForm' class='form form-inline' action='<?php echo inlink('editProfile');?>'>
  <table class='table table-form'>
    <tr>
      <th class='w-100px'><?php echo $lang->user->realname;?></th>
      <td class='w-p50'><?php echo html::input('realname', $user->realname, "class='form-control'");?></td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->user->password1;?></th>
      <td><?php echo html::password('password1', '', "class='form-control' autocomplete='off'")?></td>
      <td><span class='text-info'><?php echo $lang->user->control->lblPassword; ?></span></td>
    </tr>  
    <tr>
      <th><?php echo $lang->user->password2;?></th>
      <td><?php echo html::password('password2', '', "class='form-control'");?></td>
      <td></td>
    </tr>  
    <tr>
      <th><?php echo $lang->user->email;?></th>
      <td><?php echo html::input('email', $user->email, "class='form-control'");?></td>
      <td></td>
    </tr>  
    <tr>
      <th><?php echo $lang->user->mobile;?></th>
      <td><?php echo html::input('mobile', $user->mobile, "class='form-control'");?></td>
      <td></td>
    </tr>  
    <tr>
      <th><?php echo $lang->user->phone;?></th>
      <td><?php echo html::input('phone', $user->phone, "class='form-control'");?></td>
      <td></td>
    </tr>  
    <tr>
      <th><?php echo $lang->user->qq;?></th>
      <td><?php echo html::input('qq', $user->qq, "class='form-control'");?></td>
      <td></td>
    </tr>  
    <tr>
      <th></th>
      <td colspan="2">
        <?php echo html::hidden('admin', $user->admin);?>
        <?php echo html::hidden('role', $user->role);?>
        <?php echo html::submitButton();?>
        <?php echo html::commonButton($lang->close, 'btn', "data-dismiss='modal'");?>
      </td>
    </tr>
  </table>
</form>        
<?php include '../../common/view/footer.modal.html.php';?>
